function skill097(j)
	if j<=4 then
		local a=battle.GetRndNumber(1,100)
		if a>=1 and a<=15 then
			local pid=battle.GetActingPlayerID()
			player.ChangeHP(1,0,pid,12,1)
			player.CreateSE(256,3909)
		end
	elseif j==5 then
		local a=battle.GetRndNumber(1,100)
		if a>=1 and a<=50 then
			local pid=battle.GetActingPlayerID()
			player.ChangeHP(1,0,pid,15,1)
			player.CreateSE(256,3909)
		end
	end
	
if j==1 then	
    local pid=battle.GetActingPlayerID()
	local tid=player.GetTargetNpc()
	
	--if battle.CheckPlayerStat(pid,737)==1 and battle.CheckNpcStat(tid,738)==1 then
	if battle.CheckPlayerStat(pid,737)==1 and tid==mss then	
	    player.RemoveStat(0,pid,737)
	    npc.AddStat(0,tid,9000,83,4)
	end
end

end